Obtener lista de elementos completados o fallidos opcionalmente con contenido para un lote específico
curl --request GET \
--url https://api.olostep.com/v1/batches/{batch_id}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/batches/{batch_id}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/batches/{batch_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch_id": "batch_abc123def456",
"object": "list",
"status": "completed",
"items": [
{
"custom_id": "product-123",
"retrieve_id": "ret_xyz789",
"url": "https://example.com/product/123",
"metadata": {
"source": "catalog_sync",
"priority": "high"
}
},
{
"custom_id": "product-456",
"retrieve_id": "ret_abc456",
"url": "https://example.com/product/456"
}
],
"items_count": 2
}{
"id": "error_abc123",
"object": "error",
"code": "validation_error",
"type": "https://docs.olostep.com/api-reference/errors/bad_request",
"status": 400,
"title": "Solicitud Incorrecta",
"detail": "Status must be either 'completed' or 'failed'",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_api_key",
"type": "https://docs.olostep.com/api-reference/errors/unauthorized",
"status": 401,
"title": "No autorizado",
"detail": "Your API key is invalid",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "batch_not_found",
"type": "https://docs.olostep.com/api-reference/errors/not_found",
"status": 404,
"title": "No Encontrado",
"detail": "Batch not found",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "internal_server_error",
"type": "https://docs.olostep.com/api-reference/errors/internal_error",
"status": 500,
"title": "Error Interno del Servidor",
"detail": "An unexpected error occurred",
"created": 1704067200,
"metadata": {}
}Lotes
Elementos del Lote
Recupera la lista de elementos procesados para un lote. Luego puedes usar el retrieve_id para obtener el contenido con el Endpoint de Recuperación
GET
/
v1
/
batches
/
{batch_id}
/
items
Obtener lista de elementos completados o fallidos opcionalmente con contenido para un lote específico
Metadatos: Si adjuntaste
metadata a elementos individuales al crear el lote, se devolverá con cada elemento en la respuesta.Autorizaciones
Encabezado de autenticación Bearer del formulario Bearer , donde es tu token de autenticación.
Parámetros de ruta
El ID del lote para obtener elementos.
Parámetros de consulta
Estado de las URLs a obtener (completado o fallido).
Opciones disponibles:
completed, failed Cursor de paginación. Omite este parámetro en la primera solicitud. Para solicitudes posteriores, usa el valor cursor de la respuesta anterior. Consulta Paginación para más detalles.
Número de resultados a devolver (recomendado 10-50).
Respuesta
Respuesta exitosa con elementos por lote.
¿Esta página le ayudó?